<template>
  <div class="container-fluid h-100">
    <div class="row h-100">
      <div class="col-sm-8 h-100 auth-cover">
      </div>
      <div class="col-sm-4 h-100 px-5">
        <div class="d-flex flex-column justify-content-between h-100">
          <div class="">
            <h3 class="auth-title text-manote my-5">Connexion</h3>
            <div class="alert alert-danger" v-if="errorMessage">{{errorMessage}}</div>
            <form @submit="login" class="mt-4">
              <div class="form-group">
                <input type="email" class="form-control" v-model="user.email" required placeholder="Votre email">
              </div>
              <div class="form-group">
                <input type="password" class="form-control" v-model="user.password" required placeholder="*****">
              </div>
              <div class="form-group">
                <input type="submit" class="btn btn-default btn-block btn-manote" value="Se connecter">
              </div>
              <div class="form-group text-center">
                <router-link class="text-manote" to="/register">Vous n'avez pas encore de compte? Créez-en un!</router-link> 
              </div>
            </form>
          </div>
          <support></support>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Login',
  data () {
    return {
      user: {
        email: '',
        password: '',
      },
      errorMessage: ''
    }
  },
  mounted() {
    localStorage.removeItem('userId');
    localStorage.removeItem('userInfo');
    localStorage.removeItem('token');
    localStorage.removeItem('serviceId');
    localStorage.removeItem('service');
  },
  methods: {
    login (e) {
      e.preventDefault();
      this.$service.login(this.user, (err, data) => {
        if (err) {
          this.errorMessage = err.data;
          console.log('Error', err.data);
          return;
        }
        console.log('Data', data);
        localStorage.setItem('token',data.token);
        localStorage.setItem('userId',data.user._id);
        localStorage.setItem('userInfo', JSON.stringify(data.user));
        this.$router.push({ name: 'rates' })
      });
    }
  }
}
</script>
